cURL
curl --request POST \
--url https://api.smartbills.io/products/{productId}/images \
--header 'Content-Type: application/json' \
--data '
[
{
"fileName": "<string>",
"contentType": "<string>",
"stream": "<string>",
"base64": "<string>",
"url": "<string>",
"file": "<string>",
"note": "<string>",
"altText": "<string>"
}
]
'import requests
url = "https://api.smartbills.io/products/{productId}/images"
payload = [
{
"fileName": "<string>",
"contentType": "<string>",
"stream": "<string>",
"base64": "<string>",
"url": "<string>",
"file": "<string>",
"note": "<string>",
"altText": "<string>"
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
fileName: '<string>',
contentType: '<string>',
stream: '<string>',
base64: '<string>',
url: '<string>',
file: '<string>',
note: '<string>',
altText: '<string>'
}
])
};
fetch('https://api.smartbills.io/products/{productId}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"url": "<string>",
"width": 123,
"height": 123,
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}ProductImages
Post products images
POST
/
products
/
{productId}
/
images
cURL
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Was this page helpful?
⌘I